Bug 585426 - SELinux is preventing /bin/login "write" access on /var/log.
SELinux is preventing /bin/login "write" access on /var/log.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:652eb489696...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-23 19:56 EDT by Christopher M. Sawi
Modified: 2010-08-19 07:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-19 07:34:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher M. Sawi 2010-04-23 19:56:50 EDT
Summary:

SELinux is preventing /bin/login "write" access on /var/log.

Detailed Description:

SELinux denied access requested by login. It is not expected that this access is
required by login and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:local_login_t:s0-s0:c0.c1023
Target Context                system_u:object_r:var_log_t:s0
Target Objects                /var/log [ dir ]
Source                        login
Source Path                   /bin/login
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           util-linux-ng-2.16.2-7.fc12
Target RPM Packages           filesystem-2.4.30-2.fc12
Policy RPM                    selinux-policy-3.6.32-110.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.32.11-99.fc12.i686.PAE #1
                              SMP Mon Apr 5 16:15:03 EDT 2010 i686 i686
Alert Count                   1
First Seen                    Sat 24 Apr 2010 05:10:41 AM PHT
Last Seen                     Sat 24 Apr 2010 05:10:41 AM PHT
Local ID                      13930a4f-e1f8-47f3-801b-01c0bb0b7028
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1272057041.733:362): avc:  denied  { write } for  pid=1506 comm="login" name="log" dev=sda1 ino=114689 scontext=system_u:system_r:local_login_t:s0-s0:c0.c1023 tcontext=system_u:object_r:var_log_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1272057041.733:362): arch=40000003 syscall=5 success=no exit=-13 a0=804c760 a1=8042 a2=0 a3=89530c8 items=0 ppid=1 pid=1506 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=tty2 ses=20 comm="login" exe="/bin/login" subj=system_u:system_r:local_login_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,login,local_login_t,var_log_t,dir,write
audit2allow suggests:

#============= local_login_t ==============
#!!!! The source type 'local_login_t' can write to a 'dir' of the following types:
# pam_var_console_t, pcscd_var_run_t, local_login_tmp_t, var_lock_t, tmp_t, var_t, var_auth_t, auth_cache_t, pam_var_run_t

allow local_login_t var_log_t:dir write;
Comment 1 Miroslav Grepl 2010-04-26 04:14:03 EDT
Could you try to execute as root

semanage permissive -a local_login_t 

and then login via the console. Other avc's should be generated.

Note You need to log in before you can comment on or make changes to this bug.